import PropTypes from 'prop-types';
import useYouTubeProperties from '../hooks/useYouTubeProperties.js';
import { jsx as _jsx } from "react/jsx-runtime";
var YouTubePlayer = function YouTubePlayer(_ref) {
  var src = _ref.src;
  var _useYouTubeProperties = useYouTubeProperties(),
    getEmbeddableUrl = _useYouTubeProperties.getEmbeddableUrl;
  var videoSrc = getEmbeddableUrl(src);

  // TODO: How to render the iframe with 100% width and height 👉🏾 https://www.h3xed.com/web-development/how-to-make-a-responsive-100-width-youtube-iframe-embed
  return /*#__PURE__*/_jsx("iframe", {
    src: videoSrc,
    title: "YouTube video player",
    frameBorder: "0",
    allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share",
    allowFullScreen: true
  });
};
export default YouTubePlayer;