import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import Switcher from './components/Switcher.js';
import { BASE_CLASS } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var AtomVideoPlayer = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var _ref$src = _ref.src,
    src = _ref$src === void 0 ? '' : _ref$src;
  return /*#__PURE__*/_jsx("div", {
    ref: forwardedRef,
    className: BASE_CLASS,
    children: /*#__PURE__*/_jsx(Switcher, {
      src: src
    })
  });
});
AtomVideoPlayer.displayName = 'AtomVideoPlayer';
export default AtomVideoPlayer;